#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>

using namespace std;

int main()
{
   long long n,i,j,k,l,Ai;
   double Pi,zbir,p;
   cin >> n;
   vector <long long> zarada;
   vector <double> procenat;
   vector <double> rezultat;
   double z=0;
   for(i=0;i<n;i++)
   {
       cin >> Ai >> Pi;
       zarada.push_back(Ai);
       procenat.push_back(Pi);
   }
   for(j=0;j<procenat.size();j++)
   {
       zbir=0;
       for(k=0;k<procenat.size();k++)
       {
           if(procenat[j]<=procenat[k])
              zbir=zbir+(procenat[j]/100)*zarada[k];
       }
       rezultat.push_back(zbir);
   }
   for(l=0;l<rezultat.size();l++)
   {
       if(rezultat[l]>z)
          z=rezultat[l];    
   }
   cout << fixed << setprecision(4) << z;
   return 0;
}